# Window Corner Preview
GNOME Shell extension that creates a window preview and anchors it to a corner of the screen.  
May be useful to watch YouTube videos while working, or any kind of video or movie.

**Window Corner Preview** is an extension for GNOME > 3.10. Find this extension on the [GNOME extensions repository](https://extensions.gnome.org/extension/1227/window-corner-preview/).

## Usage
**Picking a window up**  
Choose a window to preview by selecting it from the monkey panel menu.

**Zooming and cropping**  
You can adjust the zoom by scrolling in and out on the middle of the preview box. To resize the margins, scroll along the box edges.  
Alternatively, you can use the sliders on the monkey menu.

**Moving**  
*LEFT BUTTON*: it will go to the opposite corner  
*CENTER BUTTON*: it will go to the previous corner  
*RIGHT BUTTON*: it will go to the next corner  

**Activating the window**  
CTRL + CLICK: it will focus the displayed window


## What's new?
Here's a list of most changes for each version
### v. 2

- Supports preview cropping
- Scroll events handling
- Improved tweening settings for a more natural GNOME look
- Autohide when windows are not supposed to be displayed
- Schema settings added
- Can optionally hide itself when the mirrored window is focused on top

### v. 1

  - Forked and adapted

## F.A.Q.
> **Can you make it work when the window is minimized?**  
Sorry, I think it's not possible for now. From what I can see some apps (like Chromium when video streaming is being played) get "frozen" when you minimize the window. I guess it's for keeping the system more efficient.  
**WORKAROUND**: Please just move the window to another workspace (SUPER + SHIFT + PAGE DOWN / UP), it won't bother you anymore.



